org.jfree.chart.block

## Class ColorBlock

- java.lang.Object
- - org.jfree.chart.block.AbstractBlock
  - - org.jfree.chart.block.ColorBlock

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Block, org.jfree.ui.Drawable

    public class ColorBlock
    extends AbstractBlock
    implements Block

A block that is filled with a single color.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ColorBlock(java.awt.Paint paint, double width, double height)` Creates a new block.

### Method Summary

Methods
`org.jfree.ui.Size2D` `arrange(java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the contents of the block, within the given constraints, and returns the block size.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the block.
`java.lang.Object` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.
`boolean` `equals(java.lang.Object obj)` Tests this block for equality with an arbitrary object.
`java.awt.Paint` `getPaint()` Returns the paint.

### Methods inherited from class org.jfree.chart.block.AbstractBlock

`arrange, calculateTotalHeight, calculateTotalWidth, clone, drawBorder, getBorder, getBounds, getContentXOffset, getContentYOffset, getFrame, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBorder, setBounds, setFrame, setHeight, setID, setMargin, setMargin, setPadding, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.block.Block

`arrange, getBounds, getID, setBounds, setID`

### Constructor Detail

#### ColorBlock

    public ColorBlock(java.awt.Paint paint,
              double width,
              double height)

Creates a new block.

Parameters:
  `paint` - the paint (`null` not permitted).
  `width` - the width.
  `height` - the height.

### Method Detail

#### getPaint

    public java.awt.Paint getPaint()

Returns the paint.

Returns:
  The paint (never `null`).
Since:
  1.0.5

#### arrange

    public org.jfree.ui.Size2D arrange(java.awt.Graphics2D g2,
                              RectangleConstraint constraint)

Arranges the contents of the block, within the given constraints, and returns the block size.

Specified by:
  `arrange` in interface `Block`
Overrides:
  `arrange` in class `AbstractBlock`
Parameters:
  `g2` - the graphics device.
  `constraint` - the constraint (`null` not permitted).
Returns:
  The block size (in Java2D units, never `null`).

#### draw

    public void draw(java.awt.Graphics2D g2,
            java.awt.geom.Rectangle2D area)

Draws the block.

Specified by:
  `draw` in interface `org.jfree.ui.Drawable`
Parameters:
  `g2` - the graphics device.
  `area` - the area.

#### draw

    public java.lang.Object draw(java.awt.Graphics2D g2,
                        java.awt.geom.Rectangle2D area,
                        java.lang.Object params)

Draws the block within the specified area.

Specified by:
  `draw` in interface `Block`
Parameters:
  `g2` - the graphics device.
  `area` - the area.
  `params` - ignored (`null` permitted).
Returns:
  Always `null`.

#### equals

    public boolean equals(java.lang.Object obj)

Tests this block for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractBlock`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.